Skip to main content

Atrium API

List User

Use this endpoint to list every user you've created in Atrium.

GET
/users

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_22
{
_22
"pagination": {
_22
"current_page": 1,
_22
"per_page": 25,
_22
"total_entries": 2,
_22
"total_pages": 1
_22
},
_22
"users": [
_22
{
_22
"guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
_22
"identifier": "unique_id",
_22
"is_disabled": false,
_22
"metadata": "{\"first_name\": \"Steven\"}"
_22
},
_22
{
_22
"guid": "USR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_22
"identifier": "unique_id",
_22
"is_disabled": false,
_22
"metadata": "{\"first_name\": \"Barb\"}"
_22
}
_22
]
_22
}